View Issue Details

IDProjectCategoryView StatusLast Update
0002604Path[FreeCAD] Bugpublic2016-07-27 00:35
ReporterburtbickAssigned Tosliptonic 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformAMD 64 bitOSLinux MintOS Version17.1
Product Version[FreeCAD] 0.16 
Target VersionFixed in Version[FreeCAD] 0.17 
Summary0002604: This is on V 0.17 Pocket operation issue
DescriptionThis is actually in the nightly build of v 0.17 but I could not select that here above so hopefully I'm in the right place..

With OCC Native selected there are a number of issues with the pocket operation.

If stepover is set to 1% the outermost profile is tight against the wall of the pocket. It should be one tool radius away, in addition with the test project I have been using the test slot has one end folded back over as can be seen in the screen shot of the back plot.

With libarea I am seeing something in my tests that is repeatable, so far I haven't found any answer on the forum indicating that I am doing anything wrong, but of course that is still possible.

With libarea selected and stepover set to 10 the resulting pocket cutout is too small. Looking at the back plot and measuring with the measurement tool in FreeCAD I get the same result as what I see when the part is run on the CNC machine. That is any slot is smaller than what the model is for that feature.

My end mill is 3.16mm so the half diameter would be 1.58 mm. With the setting as described above with libarea there is a gap of 1.87mm between the outermost profile and the pocket wall, so the resulting cut will be smaller than the model.

I found that if I set Material Allowance to -.36 that the gap is now 1.5797mm which is very close to teh 1.58 half of the tool diameter. And the resulting physical cut of the model on the CNC machine is as close to perfect as possible.

I can reproduce both problems easily. You can create a fresh project if you want, or use the attached quick and dirty project that I have been using.





Steps To ReproduceStart the v 0.17 version of FreeCAD.

Create a new project.

1 - Create a box 30mm x 70mm x 25mm tall from a sketch and pad operation. I generally place mine so the lower left corner is at 0,0 in global coordinates.
2 - On the top face of the box add a sketch with a slot and a rectangle (and create a pocket operation with both 5mm deep).
3 - On the top face add another sketch and add one, or more, holes. I did an 8mm round hole and a 6 sided hole 4mm on each side.
4 - Create a pocket for the holes and select all the way though so you have one, or more holes.
5 - Create a Clone of your final pocket model using the Draft Workbench and hide the final pocket model that you made the clone from. Position the cloned model to -25mm on the Z axis, this will put the top face at Z0.
6 - Create your Path project, set your tool up, etc. My tool is a 1/8" end mill that measures 3.16mm diameter at the cutting end.
7 - Select the bottom of the slot and create a pocket operation on it.
8 - Make sure that OCC Native is selected.
9 - Verify that everything looks good setting wise, make any adjustments you need to.
10 -Set the stepover to 1 and note what happens in the back plot of the toolpath.
11 - Repeat steps 7 - 10 for the rectangle and the hole(s) you have created so observe what happens to them.
Since

For the libarea problem that I am seeing:
Do steps 1 - 7 above.
8 - Make sure libarea is selected.
9 - Verify that everything looks good setting wise, make any adjustments you need to.
10 -Set the stepover to 10 and note what happens in the back plot of the toolpath.
11 - Make sure Material Allowance is still 0.
12 - Use the measurement tool to measure from the outermost profile to the wall of the pocket. You should see that it is about 1.87mm or so depending on where you placed the points for the measurement tool.
13 - Set the Material Allowance to -.36 and press enter. Note the change in the back plot.
14 - Use the measurement tool again to repeat step 12. You should see that the result is very close to 1.58.
For good measure:
Create pocket operations for the rectangle, and any holes you created as well to observe the same issue for those features. Following steps 8 - 14.

NOTE: For the libarea issue my tool was an 1/8" end mill that measures 3.16mm at the cutting end, so my 1/2 diameter (radius) value would be 1.58) If you are using a different sized tool then your results will be different.

NOTE: If you did the OCC Native test you probably don't need to recreate everything for the libarea tests, just change to use libarea and make the appropriate adjustments to the data values.
Additional InformationThe attached ZIP file contains the test project and screen shots showing the OCC Native issue, and what I see with libarea as well.
TagsNo tags attached.

Activities

burtbick

2016-06-26 15:07

reporter  

Path_Pocket_Buglet_062616.zip (76,671 bytes)

burtbick

2016-06-26 19:41

reporter   ~0007160

After additional testing following a comment from sliptonic on 6/26/2016 the problem I was seeing with libarea pockets being smaller than the model size has mysteriously vanished. So it may have been something in one of the models I was testing with, although I had created several from scratch and it was always generating gcode that make the pockets too small.

But that problem has at the moment vanished, with the Path Workbench Pocket operation now producing the same size pockets as the other CAM packages I've been testing. In fact the Path Workbench is making a cleaner (at the bottom) pocket than Estlcam is doing at the moment.

I'll do some more testing over the next few days and see if I can figure out what was up with the cases where I was getting gcode that made the pockets too small.

The issue with OCC Native is still a real bug..

sliptonic

2016-07-03 17:13

developer   ~0007174

PR 0000201

Related Changesets

FreeCAD: master 4d28fff8

2016-07-02 23:57:44

sliptonic


Committer: yorik Details Diff
fixes offset problems with OCC pocketing Bug 0002604 Affected Issues
0002604
mod - src/Mod/Path/PathScripts/PathPocket.py Diff File

Issue History

Date Modified Username Field Change
2016-06-26 15:07 burtbick New Issue
2016-06-26 15:07 burtbick File Added: Path_Pocket_Buglet_062616.zip
2016-06-26 19:41 burtbick Note Added: 0007160
2016-07-02 14:55 sliptonic Assigned To => sliptonic
2016-07-02 14:55 sliptonic Status new => assigned
2016-07-03 17:13 sliptonic Note Added: 0007174
2016-07-03 17:13 sliptonic Status assigned => resolved
2016-07-03 17:13 sliptonic Resolution open => fixed
2016-07-04 01:43 yorik Changeset attached => FreeCAD Master master 4d28fff8
2016-07-27 00:35 yorik Status resolved => closed
2016-07-27 00:35 yorik Fixed in Version => 0.17